Share feedback
Answers are generated based on the documentation.

List org invites

GET/v2/orgs/{org_name}/invites

Return all pending invites for a given org, only team owners can call this endpoint

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

org_name path Required

Name of the organization (namespace).

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

application/json

Type: object

data

Type: array

Array item

Schema: invite

All schema constraints and annotations
{
  "items": {
    "$ref": "#/components/schemas/invite"
  },
  "type": "array"
}
All schema constraints and annotations
{
  "examples": [
    {
      "data": [
        {
          "created_at": "2021-10-28T18:30:19.520861Z",
          "id": "e36eca69-4cc8-4f17-9845-ae8c2b832691",
          "invitee": "invitee@docker.com",
          "inviter_username": "moby",
          "org": "docker",
          "team": "owners"
        }
      ]
    }
  ],
  "properties": {
    "data": {
      "items": {
        "$ref": "#/components/schemas/invite"
      },
      "type": "array"
    }
  },
  "type": "object"
}

Schema example

{
  "data": [
    {
      "created_at": "2021-10-28T18:30:19.520861Z",
      "id": "e36eca69-4cc8-4f17-9845-ae8c2b832691",
      "invitee": "invitee@docker.com",
      "inviter_username": "moby",
      "org": "docker",
      "team": "owners"
    }
  ]
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/invite

Complete operation contract
{
  "description": "Return all pending invites for a given org, only team owners can call this endpoint\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "getV2OrgsByOrgNameInvites",
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "examples": [
              {
                "data": [
                  {
                    "created_at": "2021-10-28T18:30:19.520861Z",
                    "id": "e36eca69-4cc8-4f17-9845-ae8c2b832691",
                    "invitee": "invitee@docker.com",
                    "inviter_username": "moby",
                    "org": "docker",
                    "team": "owners"
                  }
                ]
              }
            ],
            "properties": {
              "data": {
                "items": {
                  "$ref": "#/components/schemas/invite"
                },
                "type": "array"
              }
            },
            "type": "object"
          }
        }
      },
      "description": ""
    },
    "401": {
      "$ref": "#/components/responses/unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/forbidden"
    },
    "404": {
      "$ref": "#/components/responses/not_found"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "List org invites",
  "tags": [
    "invites"
  ]
}